eth_getUserOperationByHash
POST
/{apiKey}
Return a UserOperation based on a userOpHash.
Limitations
This method method retrieves and decodes userOperations from the logs of mined transactions by querying the node. If you attempt to fetch a userOperation from a distant past block, the request may be rejected by the node due to limitations on the block range size it can process.
The default range we support is 150 blocks, however the following networks have an unlimited range.
- Ethereum
- Polygon
- Base
- Optimism
- Worldchain
- Arbitrum
Path Parameters
stringrequireddefaults to
docs-demoFor higher throughput, create your own API key
Request
string
format: "^0x[0-9a-f]{64}$"requiredThe userOpHash of the UserOperation to retrieve.
Responses
200
The `UserOperation` object.
Was this page helpful?